# Created by pyp2rpm-1.0.1
%global pypi_name FinDates
%global with_python3 1
%define version 0.2

Name:           python-findates
Version:        %{version}
Release:        %mkrel 5
Group:          Development/Python
Summary:        Dealing with dates in finance

License:        OSI Approved
Source0:        https://pypi.python.org/packages/source/F/FinDates/FinDates-%{version}.zip
BuildArch:      noarch
 
BuildRequires:  python-devel
 
%if %{?with_python3}
BuildRequires:  python3-devel
%endif # if with_python3


%description
Findates is a python package for dealing with dates in finance. It
provides functionality to do day counting in various conventions,
business day rolling rules, creating holiday calendars, routines for
calculation of Easter and other religious holidays, routines for
calculation of holidays falling on a specific weekday in a month
(e.g. Thanksgving), moving holidays happening on a weekend.


%if 0%{?with_python3}
%package -n     python3-findates
Summary:        Dealing with dates in finance


%description -n python3-findates
Findates is a python package for dealing with dates in finance. It
provides functionality to do day counting in various conventions,
business day rolling rules, creating holiday calendars, routines for
calculation of Easter and other religious holidays, routines for
calculation of holidays falling on a specific weekday in a month
(e.g. Thanksgving), moving holidays happening on a weekend.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
pushd %{py3dir}
find -name '*.py' | xargs 2to3 -w
popd
%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.txt
%{python_sitelib}/findates
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%if 0%{?with_python3}
%files -n python3-findates
%doc README.txt
%{python3_sitelib}/findates
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.2-5.mga6
+ Revision: 970938
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.2-4.mga6
+ Revision: 888769
- rebuild for python 3.5

* Sat Nov 29 2014 joequant <joequant> 0.2-3.mga5
+ Revision: 799904
- fix for python3
- fix for python3

* Tue Nov 25 2014 joequant <joequant> 0.2-2.mga5
+ Revision: 798872
- fix capitalization on python3

* Tue Nov 25 2014 joequant <joequant> 0.2-1.mga5
+ Revision: 798866
- imported package python-findates

